콘텐츠로 건너뛰기

Stable Audio 25

통합

모델 id stable-audio-25/inpaint
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-audio-25/inpaint?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.20 200 API 크레딧 이 페이지에서 실행

API 키 받기
Stability AI 오디오 #audio

텍스트 프롬프트로 오디오 클립 내부의 마스킹된 시간 범위를 재생성하고 나머지 클립은 유지합니다

Stability AI · 오디오

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

오디오 생성을 지시하는 프롬프트입니다.

•필수 audio_url
파일을 끌어다 놓거나

인페인팅할 원본 오디오 클립입니다.

고급 seconds_total · guidance_scale · mask_start · mask_end · num_inference_steps · seed · enable_safety_checker
기본값 190

출력 오디오 길이는 기본적으로 입력 클립의 길이를 따릅니다. 기본값을 재정의하려면 길이를 제공하세요.

기본값 1

이 설정을 높이면 오디오-프롬프트 충실도가 증가하고, 확산 과정의 텍스트 준수가 강화됩니다.

기본값 30

오디오 마스크의 시작 위치입니다.

기본값 190

오디오 마스크의 종료 위치입니다.

기본값 8

오디오에 적용할 노이즈 제거 단계 수입니다.

POST /run/stable-audio-25/inpaint?wait=20 견적 → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/stable-audio-25/inpaint?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Stable Audio 25 정보

오디오 인페인팅: `audio_url`과 `prompt`를 제공한 다음 `mask_start`와 `mask_end`로 다시 작성할 영역을 선택합니다. 두 값은 0~190이며 기본값은 각각 30과 190입니다. `seconds_total`은 1~190, `guidance_scale`은 1~25 범위입니다. `num_inference_steps`는 4~8 범위이고 `seed`를 사용하면 반복 가능한 실행이 가능합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
오디오 생성을 지시하는 프롬프트입니다.
audio_url필수 audio
유형url · audio
인페인팅할 원본 오디오 클립입니다.
seconds_total선택 사항
유형integer | null
기본값190
1 – 190
출력 오디오 길이는 기본적으로 입력 클립의 길이를 따릅니다. 기본값을 재정의하려면 길이를 제공하세요.
guidance_scale선택 사항
유형number
기본값1
1 – 25
이 설정을 높이면 오디오-프롬프트 충실도가 증가하고, 확산 과정의 텍스트 준수가 강화됩니다.
mask_start선택 사항
유형integer
기본값30
0 – 190
오디오 마스크의 시작 위치입니다.
mask_end선택 사항
유형integer
기본값190
0 – 190
오디오 마스크의 종료 위치입니다.
num_inference_steps선택 사항
유형integer
기본값8
4 – 8
오디오에 적용할 노이즈 제거 단계 수입니다.
seed선택 사항
유형integer | null
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-audio-25/inpaint",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
audio
object {url, content_type, file_name, file_size}생성으로 만들어진 오디오 클립입니다.
seed
integer생성 중 적용할 무작위 시드입니다.

더 많은 모델: 오디오

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/stable-audio-25/inpaint.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt